Package org.gradle.api.artifacts.maven

## Class Conf2ScopeMapping

- java.lang.Object
- - org.gradle.api.artifacts.maven.Conf2ScopeMapping

-     @Deprecated
      public class Conf2ScopeMapping
      extends Object

  Deprecated.
  An immutable mapping to map a dependency configuration to a Maven scope. This class has implemented equality and hashcode based on its values not on object identity.
  See Also:
    `Conf2ScopeMappingContainer`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Conf2ScopeMapping​(Integer priority, Configuration configuration, String scope)` | Deprecated. Constructs a `Conf2ScopeMapping`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Deprecated.
    `Configuration` | `getConfiguration()` | Deprecated. Returns the dependency configuration name.
    `Integer` | `getPriority()` | Deprecated. Returns the priority.
    `String` | `getScope()` | Deprecated. Returns the Maven scope name.
    `int` | `hashCode()` | Deprecated.
    `String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Conf2ScopeMapping

          public Conf2ScopeMapping​(Integer priority,
                                   Configuration configuration,
                                   String scope)

      Deprecated.
      Constructs a `Conf2ScopeMapping`.
      Parameters:
        `priority` - The priority of this mapping
        `configuration` - The configuration name
        `scope` - The Maven scope name

  - ### Method Detail

    - #### getPriority

          public Integer getPriority()

      Deprecated.
      Returns the priority.

    - #### getConfiguration

          public Configuration getConfiguration()

      Deprecated.
      Returns the dependency configuration name.

    - #### getScope

          public String getScope()

      Deprecated.
      Returns the Maven scope name.

    - #### equals

          public boolean equals​(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`